%global momorel 5
%global date 20070413
%global svndate 13.04.07
%global artsver 1.5.9
%global artsrel 3m
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: KIOSK administration tool for KDE
Name: kiosktool
Version: 1.0
Release: 0.%{date}.%{momorel}m%{?dist}
License: GPL
URL: http://extragear.kde.org/apps/kiosktool/
Group: System Environment/Base
Source0: %{name}-%{svndate}.tar.bz2
Patch0: %{name}-%{svndate}-es-doc.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdebaserel}
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: gettext
BuildPreReq: libxml2
BuildPreReq: autoconf, automake, libtool

%description
A Point and Click tool for system administrators to enable KDE's KIOSK 
features or otherwise preconfigure KDE for groups of users. 

%prep
%setup -q -n %{name}-%{svndate}

%patch0 -p1 -b .fix-doc

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# for profiles
mkdir -p %{buildroot}%{_sysconfdir}/kde-profile

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING ChangeLog README TODO src/COPYING-DOCS
%dir %{_sysconfdir}/kde-profile
%{_bindir}/kiosktool
%{_bindir}/kiosktool-kdedirs
%{_datadir}/applications/kde/kiosktool.desktop
%{_datadir}/apps/kiosktool
%{_datadir}/doc/HTML/*/kiosktool
%{_datadir}/icons/*/*/apps/kiosktool.png
%{_datadir}/locale/*/LC_MESSAGES/kiosktool.mo

%changelog
* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.20070413.5m)
- revise %%{_docdir}/HTML/*/kiosktool/common

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-0.20070413.4m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-0.20070413.3m)
- rebuild against gcc43

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-0.20070413.2m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Fri Apr 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.20070413.1m)
- initial package for Momonga Linux
